aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTero Heikkinen <tero.heikkinen@qt.io>2023-05-03 18:28:05 +0300
committerTero Heikkinen <tero.heikkinen@qt.io>2023-05-10 11:51:08 +0300
commit0b5f41537b3af7e032691fa316efe2f47bdb8159 (patch)
treefce3b4fd63d96deb591cba2581a48e39576876a0
parentd5e5ab121ef45f7f62d32cca4c24b5e6e8c2d191 (diff)
Provisioning: Upgrade Xcode version to 14.3 for macOS 13
Change also upgrades command line tools Task-number: QTQAINFRA-5485 Change-Id: I057e4c850c3c7ba938002a2ec444637ae9f51cf4 Reviewed-by: Heikki Halmet <heikki.halmet@qt.io> Reviewed-by: Tero Heikkinen <tero.heikkinen@qt.io> (cherry picked from commit 08ac26856178491cd38327ba26e9d853bd770de5)
-rwxr-xr-xcoin/provisioning/qtci-macos-13-arm/20-xcode.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-13-arm/21-install-commandlinetools.sh4
-rwxr-xr-xcoin/provisioning/qtci-macos-13-x86_64/20-xcode.sh59
-rwxr-xr-xcoin/provisioning/qtci-macos-13-x86_64/21-install-commandlinetools.sh51
4 files changed, 113 insertions, 3 deletions
diff --git a/coin/provisioning/qtci-macos-13-arm/20-xcode.sh b/coin/provisioning/qtci-macos-13-arm/20-xcode.sh
index a062b6e2..7d226223 100755
--- a/coin/provisioning/qtci-macos-13-arm/20-xcode.sh
+++ b/coin/provisioning/qtci-macos-13-arm/20-xcode.sh
@@ -56,4 +56,4 @@ set -ex
# shellcheck source=../common/macos/install_xcode.sh
source "${BASH_SOURCE%/*}/../common/macos/install_xcode.sh"
-InstallXCode /net/ci-files01-hki.intra.qt.io/hdd/www/input/mac/Xcode_14.2.xip 14.2
+InstallXCode /net/ci-files01-hki.intra.qt.io/hdd/www/input/mac/Xcode_14.3.xip 14.3
diff --git a/coin/provisioning/qtci-macos-13-arm/21-install-commandlinetools.sh b/coin/provisioning/qtci-macos-13-arm/21-install-commandlinetools.sh
index 3777e52f..2d0f1052 100755
--- a/coin/provisioning/qtci-macos-13-arm/21-install-commandlinetools.sh
+++ b/coin/provisioning/qtci-macos-13-arm/21-install-commandlinetools.sh
@@ -43,9 +43,9 @@ set -ex
# shellcheck source=../common/macos/install-commandlinetools.sh
source "${BASH_SOURCE%/*}/../common/macos/install-commandlinetools.sh"
-version="14.2"
+version="14.3"
packageName="Command_Line_Tools_for_Xcode_$version.dmg"
url="http://ci-files01-hki.intra.qt.io/input/mac/$packageName"
-sha1="f9d18da696bc54755bd85fb4f42c0a8866bdade6"
+sha1="bd255759d8733c7ea820ebc6ad8f65114e42d36d"
InstallCommandLineTools $url $url $sha1 $packageName $version
diff --git a/coin/provisioning/qtci-macos-13-x86_64/20-xcode.sh b/coin/provisioning/qtci-macos-13-x86_64/20-xcode.sh
new file mode 100755
index 00000000..a5f9a7eb
--- /dev/null
+++ b/coin/provisioning/qtci-macos-13-x86_64/20-xcode.sh
@@ -0,0 +1,59 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2023 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs Xcode
+# Prerequisites: Have Xcode prefetched to local cache as xz compressed.
+# This can be achieved by fetching Xcode_9.xip from Apple Store.
+# Uncompress it with 'xar -xf Xcode_9.xip'
+# Then get https://gist.githubusercontent.com/pudquick/ff412bcb29c9c1fa4b8d/raw/24b25538ea8df8d0634a2a6189aa581ccc6a5b4b/parse_pbzx2.py
+# with which you can run 'python parse_pbzx2.py Content'.
+# This will give you five files called "Content.part<00..05>.cpio.xz".
+# Extract those that have the extension .xz with xz.
+# "cat" together all the content files "cat file1, file2, file3, file4, file5 >file_new"
+# Compress the new file with xz back to something like Xcode_9.xz
+# Upload the file to temporary storage for this script to use.
+
+set -ex
+
+# shellcheck source=../common/macos/install_xcode.sh
+source "${BASH_SOURCE%/*}/../common/macos/install_xcode.sh"
+
+InstallXCode /net/ci-files01-hki.intra.qt.io/hdd/www/input/mac/Xcode_14.3.xip 14.3
diff --git a/coin/provisioning/qtci-macos-13-x86_64/21-install-commandlinetools.sh b/coin/provisioning/qtci-macos-13-x86_64/21-install-commandlinetools.sh
new file mode 100755
index 00000000..b4e61699
--- /dev/null
+++ b/coin/provisioning/qtci-macos-13-x86_64/21-install-commandlinetools.sh
@@ -0,0 +1,51 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2023 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# shellcheck source=../common/macos/install-commandlinetools.sh
+source "${BASH_SOURCE%/*}/../common/macos/install-commandlinetools.sh"
+version="14.3"
+packageName="Command_Line_Tools_for_Xcode_$version.dmg"
+url="http://ci-files01-hki.intra.qt.io/input/mac/$packageName"
+sha1="bd255759d8733c7ea820ebc6ad8f65114e42d36d"
+
+InstallCommandLineTools $url $url $sha1 $packageName $version